> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# الحصول على معلومات mint عبر المعرِّفات

> استرجاع البيانات الوصفية لعناوين mint محددة. مخزّن مؤقتاً لمدة 20 ثانية.



## OpenAPI

````yaml /ar/api-reference/openapi/api-v3.yaml get /mint/ids
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    توفر Raydium API v3 نقاط نهاية REST للاستعلام عن pools السيولة ومعلومات mint
    وتفاصيل المزارع وpools IDO وبيانات السلسلة الخاصة بـ Solana. تُستخدم من قِبل
    المحافظ والمجمِّعات والمتداولين للحصول على تغذيات الأسعار وبيانات Pool
    ومعلومات التوجيه.
servers:
  - url: https://api-v3.raydium.io
    description: الإنتاج (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: التطوير (Devnet)
security: []
tags:
  - name: Main
    description: نقاط النهاية الأساسية لمعلومات السلسلة وTVL والإعدادات
  - name: Mint
    description: معلومات token mint والتسعير
  - name: Pools
    description: معلومات pool السيولة والمفاتيح والبيانات التاريخية
  - name: Farms
    description: معلومات farm pool والمفاتيح
  - name: IDO
    description: معلومات IDO pool والمفاتيح
paths:
  /mint/ids:
    get:
      tags:
        - Mint
      summary: الحصول على معلومات mint عبر المعرِّفات
      description: استرجاع البيانات الوصفية لعناوين mint محددة. مخزّن مؤقتاً لمدة 20 ثانية.
      operationId: getMintIds
      parameters:
        - name: mints
          in: query
          required: true
          schema:
            type: string
          description: عناوين mint مفصولة بفواصل
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ApiV3MintItem'
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        غلاف الاستجابة المشترك. يُقدَّم حقل `data` من قِبل مخطط استجابة كل نقطة
        نهاية عبر `allOf` ولذلك لا يُصرَّح عنه في الغلاف الأساسي.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: معرّف الطلب (UUID)
        success:
          type: boolean
          description: ما إذا كان الطلب ناجحاً
        msg:
          type: string
          description: رسالة الخطأ في حال كانت قيمة success تساوي false
    ApiV3MintItem:
      type: object
      properties:
        chainId:
          type: number
        address:
          type: string
        programId:
          type: string
        logoURI:
          type: string
        symbol:
          type: string
        name:
          type: string
        decimals:
          type: number
        tags:
          type: array
          items:
            type: string
        extensions:
          type: object

````